# MeshCreatePCICE

Create a Mesh from PCICE files.

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode MeshCreatePCICE(MPI_Comm comm, const int dim, const char coordFilename[], const char adjFilename[], PetscTruth interpolate, const char bcFilename[], Mesh *mesh)

Not Collective

### Input Parameters

| dim | - The topological mesh dimension
| coordFilename | - The file containing vertex coordinates
| adjFilename | - The file containing the vertices for each element
| interpolate | - The flag for construction of intermediate elements
| bcFilename | - The file containing the boundary topology and conditions
| numBdFaces | - The number of boundary faces (or edges)
| numBdVertices | - The number of boundary vertices

### Output Parameter

mesh -The Mesh object

### Keywords

mesh, PCICE

### See Also

MeshCreate()

Level:beginner
Location: src/dm/mesh/mesh.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages